{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.raccoon": {
      "initial_state": "default",
      "states": {
        "default": {
          "transitions": [
            {
              "is_searching_item": "query.property('silverlabs_nat:search_state') == 'searching_item'"
            }
          ]
        },

        "is_searching_item": {
          "on_entry": ["/scriptevent silverlabs_nat:raccoon_searching_item"],

          "transitions": [
            {
              "cancel_searching_item": "query.property('silverlabs_nat:search_state') == 'cancel_searching_item'"
            },
            {
              "default": "query.property('silverlabs_nat:search_state') != 'searching_item'"
            }
          ]
        },

        "cancel_searching_item": {
          "on_entry": ["/scriptevent silverlabs_nat:raccoon_cancel_searching_item"],

          "transitions": [
            {
              "default": "query.property('silverlabs_nat:search_state') != 'cancel_searching_item'"
            }
          ]
        }
      }
    }
  }
}
